Bug 252635 - devel/bingrep: adopt and update to 0.8.4
Summary: devel/bingrep: adopt and update to 0.8.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL: https://github.com/m4b/bingrep/compar...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-13 10:06 UTC by Nuno Teixeira
Modified: 2021-01-16 22:37 UTC (History)
2 users (show)

See Also:


Attachments
Sugested git diff (28.00 KB, patch)
2021-01-13 10:06 UTC, Nuno Teixeira
ed.arrakis: maintainer-approval+
Details | Diff
Sugested git patch with fixes (28.00 KB, patch)
2021-01-14 08:54 UTC, Nuno Teixeira
no flags Details | Diff
Sugested git diff with refreshed distinfo (28.00 KB, patch)
2021-01-15 07:21 UTC, Nuno Teixeira
ed.arrakis: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nuno Teixeira 2021-01-13 10:06:45 UTC
Created attachment 221527 [details]
Sugested git diff

devel/bingrep: Adopt and Update to 0.8.4

- Use GH
- Added DOCS (README.md)
- Added EXAMPLES (screenshots)

Thanks!

Nuno Teixeira
Comment 1 Fernando Apesteguía freebsd_committer 2021-01-13 12:43:12 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

Q/A: Is it possible to use the official release tarball?

Some small improvements:

# Packaging list block
PLIST_FILES

-EXAMPLES_PLIST_FILES

PORTDOCS
PORTEXAMPLES

# Options definitions
OPTIONS_DEFINE

# Options helpers
+EXAMPLES_PLIST_FILES

# Out of order targets
-post-install:
do-install-DOCS-on:
do-install-EXAMPLES-on:
+post-install:


Thanks!
Comment 2 Nuno Teixeira 2021-01-14 07:44:49 UTC
(In reply to Fernando Apesteguía from comment #1)

Hi,

- Q/A: Is it possible to use the official release tarball?
Why should I use CRATESIO if project is located at GH?
I prefer GH because I can test latest commits easy just adding GH_TAGNAME.
Could you explain why should I use CRATESIO?

- Some small improvements:

Thanks, I will fix textproc/cast2gif too because it is an identical port.
Comment 3 Fernando Apesteguía freebsd_committer 2021-01-14 07:55:57 UTC
(In reply to Nuno Teixeira from comment #2)

I meant the official tarball release from GH: https://github.com/m4b/bingrep/archive/0.8.4.tar.gz

According to the Handbook: "5.4.3. USE_GITHUB

If the distribution file comes from a specific commit or tag on GitHub ****for which there is no officially released file****..."

But if there is one and can be used, it is preferred. It would mean using MASTER_SITES. Have a look at sysutils/fusefs-libs for example.

However if the idea is to update the port to very specific commits and not to releases, then GH_TAGNAME would be good.

Cheers.
Comment 4 Nuno Teixeira 2021-01-14 08:32:53 UTC
(In reply to Fernando Apesteguía from comment #3)

https://github.com/m4b/bingrep/archive/0.8.4.tar.gz isn't a release tarball
and there is no release available like libfuse:

https://github.com/libfuse/libfuse/releases/download/fuse-3.10.1/fuse-3.10.1.tar.xz
---
MASTER_SITES=   https://github.com/m4b/bingrep/archive/
DISTNAME=       ${DISTVERSION}

/!\ bingrep-0.8.4: Makefile warnings, please consider fixing /!\

MASTER_SITES contains https://github.com/m4b/bingrep/archive/, please use
USE_GITHUB instead.
---

But I have understand the importance of using MASTER_SITES when release tarballs are available.

Should I use CRATESIO?
Comment 5 Nuno Teixeira 2021-01-14 08:47:36 UTC
And I think it make no sense to use CRATESIO for this port.

There is no release tarball, so we need to use USE_GITHUB, right?
Comment 6 Nuno Teixeira 2021-01-14 08:54:25 UTC
Created attachment 221555 [details]
Sugested git patch with fixes
Comment 7 Fernando Apesteguía freebsd_committer 2021-01-14 14:13:51 UTC
(In reply to Nuno Teixeira from comment #5)
Comment 8 Fernando Apesteguía freebsd_committer 2021-01-14 16:14:19 UTC
(In reply to Fernando Apesteguía from comment #7)
Something's not right here:

=> Attempting to fetch https://codeload.github.com/m4b/bingrep/tar.gz/0.8.4?dummy=/m4b-bingrep-0.8.4_GH0.tar.gz
fetch: https://codeload.github.com/m4b/bingrep/tar.gz/0.8.4?dummy=/m4b-bingrep-0.8.4_GH0.tar.gz: size unknown
fetch: https://codeload.github.com/m4b/bingrep/tar.gz/0.8.4?dummy=/m4b-bingrep-0.8.4_GH0.tar.gz: size of remote file is not known
m4b-bingrep-0.8.4_GH0.tar.gz                           600 kB 2527 kBps    01s
=> Fetched file size mismatch (expected 616298, actual 614453)
=> Trying next site
=> Attempting to fetch http://distcache.FreeBSD.org/ports-distfiles/m4b-bingrep-0.8.4_GH0.tar.gz
fetch: http://distcache.FreeBSD.org/ports-distfiles/m4b-bingrep-0.8.4_GH0.tar.gz: Not Found
=> Couldn't fetch it - please try to retrieve this
=> port manually into /portdistfiles/ and try again.
*** Error code 1
Comment 9 Nuno Teixeira 2021-01-15 07:21:22 UTC
Created attachment 221588 [details]
Sugested git diff with refreshed distinfo

I forgot to refresh distinfo.
Comment 10 Kurt Jaeger freebsd_committer 2021-01-16 20:00:23 UTC
(In reply to Nuno Teixeira from comment #9)
testbuilds look fine. fernape@, will you commit this update or should I... ?
Comment 11 commit-hook freebsd_committer 2021-01-16 20:50:29 UTC
A commit references this bug:

Author: fernape
Date: Sat Jan 16 20:49:42 UTC 2021
New revision: 561762
URL: https://svnweb.freebsd.org/changeset/ports/561762

Log:
  devel/bingrep: update to 0.8.4 and set MAINTAINER

  ChangeLog: https://github.com/m4b/bingrep/compare/v0.8.2...0.8.4

  Submitter becomes maintainer (already maintainer or several ports)

  PR:	252635
  Submitted by:	ed.arrakis@gmail.com

Changes:
  head/devel/bingrep/Makefile
  head/devel/bingrep/distinfo
Comment 12 Fernando Apesteguía freebsd_committer 2021-01-16 20:51:53 UTC
Committed,

Sorry for the delay, but my machine was really busy rebuilding rust, gcc, llvm...

I think we need package seeding in poudriere.

Thanks!
Comment 13 Nuno Teixeira 2021-01-16 22:37:21 UTC
lol

Thanks!